Bug 44679 - JRE can't be found/used on OSX 10.7
Summary: JRE can't be found/used on OSX 10.7
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.1.2.3 release
Hardware: x86-64 (AMD64) Mac OS X (All)
: medium critical
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 51536 (view as bug list)
Depends on:
Blocks:
 
Reported: 2012-01-11 07:23 UTC by Slava Nadvorny
Modified: 2015-07-18 17:27 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Slava Nadvorny 2012-01-11 07:23:15 UTC
Running latest Mac OS X 10.7.2 with JRE installed 1.6.0_29-b11-402-11M3527.

Periodically LibreOffice pops up message that JRE required to perform this task.

Trying to setup JRE via Preferences/Java causes taksbar to blink with some console application, then JavaPreferences control panel and then LibreOffice shows message that JRE can't be found.

Possibly connect to the way Apple delivers its JRE/JDK now. It is shipped as an application bundle.
Comment 1 Roman Eisele 2012-06-28 08:08:01 UTC
I can't reproduce this (because I have to stay with MacOS X 10.6.x for some technical reasons), but a hint: Could this be related to bug 50918? (I don't understand bug 50918 completely, therefore I can just give a hint.)
Comment 2 Roman Eisele 2012-07-04 02:16:39 UTC
*** Bug 51536 has been marked as a duplicate of this bug. ***
Comment 3 Roman Eisele 2012-07-04 02:17:39 UTC
"NEW" according to duplicate (bug 51536).
Comment 4 Julien Nabet 2013-05-28 20:59:43 UTC
Slava: I think that there has been improvements in jre detection in 3.6 versions.
Could you give a try to a newer version like 3.6.6 or better, 4.0.3?
Comment 5 dziastinux 2013-10-29 11:52:33 UTC
I'm still unable to detect any of Javas installed on my OS X 10.9

$ /usr/libexec/java_home -V
Matching Java Virtual Machines (6):
    1.7.0_45, x86_64:	"Java SE 7"	/Library/Java/JavaVirtualMachines/jdk1.7.0_45.jdk/Contents/Home
    1.7.0_25, x86_64:	"Java SE 7"	/Library/Java/JavaVirtualMachines/jdk1.7.0_25.jdk/Contents/Home
    1.7.0_21, x86_64:	"Java SE 7"	/Library/Java/JavaVirtualMachines/jdk1.7.0_21.jdk/Contents/Home
    1.7.0_17, x86_64:	"Java SE 7"	/Library/Java/JavaVirtualMachines/jdk1.7.0_17.jdk/Contents/Home
    1.6.0_43-b01-447, x86_64:	"Java SE 6"	/Library/Java/JavaVirtualMachines/1.6.0_43-b01-447.jdk/Contents/Home
    1.6.0_43-b01-447, i386:	"Java SE 6"	/Library/Java/JavaVirtualMachines/1.6.0_43-b01-447.jdk/Contents/Home
Comment 6 Stephan Bergmann 2013-10-31 09:09:27 UTC
(In reply to comment #5)
> $ /usr/libexec/java_home -V
> Matching Java Virtual Machines (6):
>     1.7.0_45, x86_64:	"Java SE 7"
> /Library/Java/JavaVirtualMachines/jdk1.7.0_45.jdk/Contents/Home
>     1.7.0_25, x86_64:	"Java SE 7"
> /Library/Java/JavaVirtualMachines/jdk1.7.0_25.jdk/Contents/Home
>     1.7.0_21, x86_64:	"Java SE 7"
> /Library/Java/JavaVirtualMachines/jdk1.7.0_21.jdk/Contents/Home
>     1.7.0_17, x86_64:	"Java SE 7"
> /Library/Java/JavaVirtualMachines/jdk1.7.0_17.jdk/Contents/Home
>     1.6.0_43-b01-447, x86_64:	"Java SE 6"
> /Library/Java/JavaVirtualMachines/1.6.0_43-b01-447.jdk/Contents/Home

The above are all 64-bit versions, so cannot be used by 32-bit LibreOffice...

>     1.6.0_43-b01-447, i386:	"Java SE 6"
> /Library/Java/JavaVirtualMachines/1.6.0_43-b01-447.jdk/Contents/Home

...but it is unclear to me why this one is not detected by LibreOffice.  (On my Mac OS X 10.9 box I have "1.6.0_65-b14-462, i386: 'Java SE 6' /System/Library/Java/JavaVirtualMachines/1.6.0.jdk/Contents/Home" which does get detected fine by LibreOffice.)
Comment 7 Stephan Bergmann 2013-10-31 09:16:55 UTC
(In reply to comment #6)
> (In reply to comment #5)
> >     1.6.0_43-b01-447, i386:	"Java SE 6"
> > /Library/Java/JavaVirtualMachines/1.6.0_43-b01-447.jdk/Contents/Home
> 
> ...but it is unclear to me why this one is not detected by LibreOffice.  (On
> my Mac OS X 10.9 box I have "1.6.0_65-b14-462, i386: 'Java SE 6'
> /System/Library/Java/JavaVirtualMachines/1.6.0.jdk/Contents/Home" which does
> get detected fine by LibreOffice.)

dziastinux, can you please provide the output of "ls -AlF /System/Library/Frameworks/JavaVM.framework/Versions" when typed into Terminal?
Comment 8 Joel Madero 2014-11-04 16:38:28 UTC
Not seeing that this has independently been confirmed. Moving back to UNCONFIRMED.
Comment 9 Alex Thurgood 2014-11-04 17:37:56 UTC
@Slava : please retest with the latest supported version of LibreOffice for your Mac, and latest versions of Apple Java 6 and Oracle Java 1.8, and report back, otherwise this report is likely to be closed for lack of response.
Comment 10 Robinson Tryon (qubit) 2014-11-13 04:49:42 UTC
(In reply to Stephan Bergmann from comment #7)
> dziastinux, can you please provide the output of "ls -AlF
> /System/Library/Frameworks/JavaVM.framework/Versions" when typed into
> Terminal?

(In reply to Alex Thurgood from comment #9)
> @Slava : please retest with the latest supported version of LibreOffice for
> your Mac, and latest versions of Apple Java 6 and Oracle Java 1.8,

Given the outstanding questions, changing status -> NEEDINFO.

Slava: After you answer the q's from Stephan and Alex, please change the status of this bug back to 'UNCONFIRMED'. Thanks!
Comment 11 QA Administrators 2015-06-08 14:29:23 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least
6 months. Please provide the requested information as soon as
possible and mark the bug as UNCONFIRMED. Due to regular bug
tracker maintenance, if the bug is still in NEEDINFO status with
no change in 30 days the QA team will close the bug as INVALID
due to lack of needed information.

For more information about our NEEDINFO policy please read the
wiki located here:
https://wiki.documentfoundation.org/QA/Bugzilla/Fields/Status/NEEDINFO

If you have already provided the requested information, please
mark the bug as UNCONFIRMED so that the QA team knows that the
bug is ready to be confirmed.
 
Thank you for helping us make LibreOffice even better for everyone!

This NEEDINFO Message was generated on: 2015-06-08

Warm Regards,
QA Team
Comment 12 QA Administrators 2015-07-18 17:27:54 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and a lack of information which is needed in order to accurately reproduce and confirm the problem. We encourage you to retest your bug against the latest release. If the issue is still present in the latest stable release, we need the following information (please ignore any that you've already provided):

a) Provide details of your system including your operating system and the latest version of LibreOffice that you have confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED and we will attempt to reproduce the issue. 
Please do not:
a) respond via email 
b) update the version field in the bug or any of the other details on the top section of FDO

Message generated on: 2015-07-18